key: okta
title: Okta
description: Okta provide secure identity management and single sign-on to any application.
author: requarks.io
logo: https://static.requarks.io/logo/okta.svg
color: blue darken-1
website: https://www.okta.com/
isAvailable: true
useForm: false
scopes:
  - profile
  - email
  - openid
props:
  audience:
    title: Org URL
    type: String
    hint: Okta organization URL (e.g. https://example.okta.com, https://example.oktapreview.com), found on the Developer Dashboard, in the upper right.
    order: 1
  clientId:
    title: Client ID
    type: String
    hint: 20 chars alphanumeric string
    maxWidth: 400
    order: 2
  clientSecret:
    title: Client Secret
    type: String
    hint: 40 chars alphanumeric string with a hyphen(s)
    maxWidth: 600
    order: 3
  idp:
    title: Identity Provider ID (idp)
    type: String
    hint: (Optional) - 20 chars alphanumeric string
    maxWidth: 400
    order: 4
